Public key status enumaration.

### Hierarchy

- PublicKeyStatus

## Index

### Constructors

- constructor

### Properties

- label
- IN_USE
- REVOKED
- values

### Methods

- fromHexLabel

## Constructors

### constructor

- new PublicKeyStatus(label: string): PublicKeyStatus

- - Defined in crypto/PublicKey.ts:208

  #### Parameters

  - ##### label: string

  #### Returns PublicKeyStatus

## Properties

### label

label: string

- Defined in crypto/PublicKey.ts:208

### Static IN_USE

IN_USE: PublicKeyStatus = new PublicKeyStatus('in use')

- Defined in crypto/PublicKey.ts:188

### Static REVOKED

REVOKED: PublicKeyStatus = new PublicKeyStatus('revoked')

- Defined in crypto/PublicKey.ts:190

### Static values

values: PublicKeyStatus[] = []

- Defined in crypto/PublicKey.ts:186

## Methods

### Static fromHexLabel

- fromHexLabel(hexLabel: string): PublicKeyStatus

- - Defined in crypto/PublicKey.ts:197

  Finds Public key status corresponding to specified label representation.

  #### Parameters

  - ##### hexLabel: string

  #### Returns PublicKeyStatus

Generated using TypeDoc